function skill078(j)

	for se=1,7,1 do
		if battle.CheckNpcPlace(se)==0 then
			local a=battle.GetRndNumber(1,100)
			if battle.CheckPlayerStat(8,702)==1 then
	           jt=10
	        else
	           jt=4
	        end
			if a>=1 and a<=jt then
				local tid=battle.GetPlaceNpcID(se)
				local noid=npc.GetTemplateID(tid)
				if noid~=6000 and noid~=6012 and noid~=6013 and noid~=6022 and noid~=6023 and noid~=6024 and noid~=6025 then
					battle.MakeNpcQueueEnd(tid)
					npc.CreateSE(tid,3908)
				end
			end
		end
	end

if battle.CheckPlayerStat(8,722)==1 then
    player.RemoveStat(0,8,722)
    player.RemoveStat(1,0,12)
    player.AddStat(1,0,100,85,4)
	
else
	
--碎影	
	local pid=battle.GetActingPlayerID()
	if battle.CheckPlayerStat(pid,12)==1 then
	    player.RemoveStat(0,pid,12)
		player.AddStat(0,pid,100,85,4)
	end

if j==1 then
--谢沧行和瑕碎影
sp=0
	for pis=1,9,1 do
	if battle.CheckPlayerPlace(pis)==1 then --判断有人 
	   pisd=battle.GetPlacePlayerID(pis) --位置人id
	   --if (pisd==16 or pisd==2) and flag.GetValue(6001)>212 then --有老谢、瑕、主线旗标达到打岚翼
	   if pisd==16 or pisd==2 then
	       sp=sp+1
		   tisd=pisd
	   end
	end
	end
	if sp==2 then
	    if battle.GetRndNumber(1,2)==1 then tisd=16 else tisd=2 end
	end
	if sp~=0 then
	    if battle.CheckPlayerStat(tisd,12)==1 then
	        player.RemoveStat(0,tisd,12)
	    end
	    player.AddStat(0,tisd,100,85,4)
	end 
end

end

end